--------------------------------------------------------------------------------
--- Manage ping-pong server-client ---
--------------------------------------


local pingpong = {}


function pingpong:initialize(server)
	self.server = server
	
	if server then
		self.thread = love.thread.newThread('pingpong/simple_server.lua')
	else
		self.thread = love.thread.newThread('pingpong/simple_client.lua')
	end
	
	self.channel_receive = love.thread.newChannel()
	self.channel_send = love.thread.newChannel()
	
	self.thread:start(self.channel_send, self.channel_receive)
end


function pingpong:onUpdate()
	local err = self.thread:getError()
	if err then things_to_print:add("error", err, 10, 30) end

	local event = self.channel_receive:pop()
	
	things_to_print:add('updatepingpong', 'Update: ' .. os.date(), 10, 225)
	
	while event do
		local t = os.date()
		things_to_print:add(
			'message_received',
			'message received at ' .. t .. ': ' .. event.type .. ', ' .. event.data,
			10, 300
		)
		self.channel_send({peer = event.peer, message = 'hello'})
		event = self.channel_receive:pop()
	end
end



return pingpong









