-------------------------------------------------------------------------
--- THINGS TO PRINT MODULE ---
------------------------------

things_to_print = {}

function things_to_print:add(name, text, x, y, color)
	if name == "add" or name == "remove" or name == "print" then
		error("'" .. name .. "' is not a valid identifier for a drawing")
	end
	
	if type(text) == "table" then
		local toprint = ''
		for j = 1, #text do toprint = toprint .. ', ' .. tostring(text[j]) end
		text = toprint
		text = string.sub(text, 3)
	end
	self[name] = {text = tostring(text), x = x, y = y, color = color}
end

function things_to_print:print()
	for k, v in pairs(self) do
		if type(v) ~= "function" then
			love.graphics.setColor(unpack(v.color or {255,255,255}))
			love.graphics.print(
				v.text, v.x, v.y, 0,
				love.graphics.getWidth() / 800, love.graphics.getHeight() / 600
			)
		end
	end
end

function things_to_print:remove(identifier)
	self[identifier] = nil
end


return things_to_print